#= Makefile for dcpam/execsrc/all-in
#
# Authors::   Yasuhiro MORIKAWA, Shin-ichi Takehiro
# Version::   $Id: Makefile,v 1.10 2025/09/18 10:00:00 takepiro Exp $
# Tag Name::  $Name:  $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2025. All rights reserved.
# License::   See COPYRIGHT[link:../../COPYRIGHT]
#
######################################################################
#
#== Settings

DIRDEPTH=../..
INCLUDEFILE = $(DIRDEPTH)/Config.mk
include $(INCLUDEFILE)

TARGETS = dcpam_main_p04 dcpam_init_data_p04

# End Settings
######################################################################

######################################################################
#== Rules

all: $(TARGETS)

include $(DIRDEPTH)/rules.make

%: %.o
	$(FC) -o $@ $+ $(SYSLDFLAGS) $(SYSLDLIBS) -L${LIBDIR} -l$(LIBNAME) $(LDLIBS) $(SYSLDFLAGS)
